Index: CKEditor/releases/latest/_source/lang/zh.js
===================================================================
--- CKEditor/releases/latest/_source/lang/zh.js	(revision 4887)
+++ CKEditor/releases/latest/_source/lang/zh.js	(revision 5194)
@@ -32,5 +32,9 @@
 	 * of reading non-English words. So be careful while translating it.
 	 */
-	editorTitle		: '文書處理器, %1',
+	editorTitle : 'Rich text editor, %1, press ALT 0 for help.', // MISSING
+
+	// ARIA descriptions.
+	toolbar	: 'Toolbar', // MISSING
+	editor	: 'Rich Text Editor', // MISSING
 
 	// Toolbar buttons without dialogs.
@@ -69,10 +73,10 @@
 		form			: '表單',
 		checkbox		: '核取方塊',
-		radio		: '選項按鈕',
+		radio			: '選項按鈕',
 		textField		: '文字方塊',
 		textarea		: '文字區域',
 		hiddenField		: '隱藏欄位',
 		button			: '按鈕',
-		select	: '清單/選單',
+		select			: '清單/選單',
 		imageButton		: '影像按鈕',
 		notSet			: '<尚未設定>',
@@ -89,9 +93,17 @@
 		ok				: '確定',
 		cancel			: '取消',
+		close			: 'Close', // MISSING
+		preview			: 'Preview', // MISSING
 		generalTab		: '一般',
 		advancedTab		: '進階',
-		validateNumberFailed	: '需要輸入數字格式',
+		validateNumberFailed : '需要輸入數字格式',
 		confirmNewPage	: '現存的修改尚未儲存，要開新檔案？',
 		confirmCancel	: '部份選項尚未儲存，要關閉對話盒？',
+		options			: 'Options', // MISSING
+		target			: 'Target', // MISSING
+		targetNew		: 'New Window (_blank)', // MISSING
+		targetTop		: 'Topmost Window (_top)', // MISSING
+		targetSelf		: 'Same Window (_self)', // MISSING
+		targetParent	: 'Parent Window (_parent)', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -117,14 +129,9 @@
 		advanced	: '進階',
 		type		: '超連接類型',
+		toUrl		: 'URL', // MISSING
 		toAnchor	: '本頁錨點',
 		toEmail		: '電子郵件',
-		target		: '目標',
-		targetNotSet	: '<尚未設定>',
-		targetFrame	: '<框架>',
-		targetPopup	: '<快顯視窗>',
-		targetNew	: '新視窗 (_blank)',
-		targetTop	: '最上層視窗 (_top)',
-		targetSelf	: '本視窗 (_self)',
-		targetParent	: '父視窗 (_parent)',
+		targetFrame		: '<框架>',
+		targetPopup		: '<快顯視窗>',
 		targetFrameName	: '目標框架名稱',
 		targetPopupName	: '快顯視窗名稱',
@@ -132,5 +139,5 @@
 		popupResizable	: '可縮放',
 		popupStatusBar	: '狀態列',
-		popupLocationBar	: '網址列',
+		popupLocationBar: '網址列',
 		popupToolbar	: '工具列',
 		popupMenuBar	: '選單列',
@@ -144,5 +151,4 @@
 		id				: 'ID',
 		langDir			: '語言方向',
-		langDirNotSet	: '<尚未設定>',
 		langDirLTR		: '由左而右 (LTR)',
 		langDirRTL		: '由右而左 (RTL)',
@@ -204,5 +210,4 @@
 		border		: '邊框',
 		align		: '對齊',
-		alignNotSet	: '<未設定>',
 		alignLeft	: '靠左對齊',
 		alignCenter	: '置中',
@@ -211,4 +216,5 @@
 		widthPx		: '像素',
 		widthPc		: '百分比',
+		widthUnit	: 'width unit', // MISSING
 		height		: '高度',
 		cellSpace	: '間距',
@@ -261,5 +267,5 @@
 			invalidRowSpan	: '儲存格列數必須為整數格式',
 			invalidColSpan	: '儲存格欄數度必須為整數格式',
-			chooseColor : 'Choose' // MISSING
+			chooseColor		: 'Choose' // MISSING
 		},
 
@@ -308,11 +314,5 @@
 		action		: '動作',
 		method		: '方法',
-		encoding	: '表單編碼',
-		target		: '目標',
-		targetNotSet	: '<尚未設定>',
-		targetNew	: '新視窗 (_blank)',
-		targetTop	: '最上層視窗 (_top)',
-		targetSelf	: '本視窗 (_self)',
-		targetParent	: '父視窗 (_parent)'
+		encoding	: '表單編碼'
 	},
 
@@ -372,25 +372,29 @@
 		titleButton	: '影像按鈕屬性',
 		menu		: '影像屬性',
-		infoTab	: '影像資訊',
+		infoTab		: '影像資訊',
 		btnUpload	: '上傳至伺服器',
-		url		: 'URL',
-		upload	: '上傳',
-		alt		: '替代文字',
+		upload		: '上傳',
+		alt			: '替代文字',
 		width		: '寬度',
-		height	: '高度',
+		height		: '高度',
 		lockRatio	: '等比例',
+		unlockRatio	: 'Unlock Ratio', // MISSING
 		resetSize	: '重設為原大小',
-		border	: '邊框',
-		hSpace	: '水平距離',
-		vSpace	: '垂直距離',
+		border		: '邊框',
+		hSpace		: '水平距離',
+		vSpace		: '垂直距離',
 		align		: '對齊',
 		alignLeft	: '靠左對齊',
 		alignRight	: '靠右對齊',
-		preview	: '預覽',
 		alertUrl	: '請輸入影像 URL',
-		linkTab	: '超連結',
+		linkTab		: '超連結',
 		button2Img	: '要把影像按鈕改成影像嗎？',
 		img2Button	: '要把影像改成影像按鈕嗎？',
-		urlMissing : 'Image source URL is missing.' // MISSING
+		urlMissing	: 'Image source URL is missing.', // MISSING
+		validateWidth	: 'Width must be a whole number.', // MISSING
+		validateHeight	: 'Height must be a whole number.', // MISSING
+		validateBorder	: 'Border must be a whole number.', // MISSING
+		validateHSpace	: 'HSpace must be a whole number.', // MISSING
+		validateVSpace	: 'VSpace must be a whole number.' // MISSING
 	},
 
@@ -400,10 +404,10 @@
 		properties		: 'Flash 屬性',
 		propertiesTab	: '屬性',
-		title		: 'Flash 屬性',
-		chkPlay		: '自動播放',
-		chkLoop		: '重複',
-		chkMenu		: '開啟選單',
-		chkFull		: '啟動全螢幕顯示',
- 		scale		: '縮放',
+		title			: 'Flash 屬性',
+		chkPlay			: '自動播放',
+		chkLoop			: '重複',
+		chkMenu			: '開啟選單',
+		chkFull			: '啟動全螢幕顯示',
+ 		scale			: '縮放',
 		scaleAll		: '全部顯示',
 		scaleNoBorder	: '無邊框',
@@ -411,38 +415,38 @@
 		access			: '允許腳本訪問',
 		accessAlways	: '永遠',
-		accessSameDomain	: '相同域名',
-		accessNever	: '永不',
-		align		: '對齊',
-		alignLeft	: '靠左對齊',
-		alignAbsBottom: '絕對下方',
-		alignAbsMiddle: '絕對中間',
+		accessSameDomain: '相同域名',
+		accessNever		: '永不',
+		align			: '對齊',
+		alignLeft		: '靠左對齊',
+		alignAbsBottom	: '絕對下方',
+		alignAbsMiddle	: '絕對中間',
 		alignBaseline	: '基準線',
-		alignBottom	: '靠下對齊',
-		alignMiddle	: '置中對齊',
-		alignRight	: '靠右對齊',
+		alignBottom		: '靠下對齊',
+		alignMiddle		: '置中對齊',
+		alignRight		: '靠右對齊',
 		alignTextTop	: '文字上方',
-		alignTop	: '靠上對齊',
-		quality		: '質素',
-		qualityBest		 : '最好',
-		qualityHigh		 : '高',
-		qualityAutoHigh	 : '高（自動）',
-		qualityMedium	 : '中（自動）',
-		qualityAutoLow	 : '低（自動）',
-		qualityLow		 : '低',
-		windowModeWindow	 : '視窗',
-		windowModeOpaque	 : '不透明',
-		windowModeTransparent	 : '透明',
-		windowMode	: '視窗模式',
-		flashvars	: 'Flash 變數',
-		bgcolor	: '背景顏色',
-		width	: '寬度',
-		height	: '高度',
-		hSpace	: '水平距離',
-		vSpace	: '垂直距離',
-		validateSrc : '請輸入欲連結的 URL',
-		validateWidth : '寬度必須為數字格式',
-		validateHeight : '高度必須為數字格式',
-		validateHSpace : '水平間距必須為數字格式',
-		validateVSpace : '垂直間距必須為數字格式'
+		alignTop		: '靠上對齊',
+		quality			: '質素',
+		qualityBest		: '最好',
+		qualityHigh		: '高',
+		qualityAutoHigh	: '高（自動）',
+		qualityMedium	: '中（自動）',
+		qualityAutoLow	: '低（自動）',
+		qualityLow		: '低',
+		windowModeWindow: '視窗',
+		windowModeOpaque: '不透明',
+		windowModeTransparent : '透明',
+		windowMode		: '視窗模式',
+		flashvars		: 'Flash 變數',
+		bgcolor			: '背景顏色',
+		width			: '寬度',
+		height			: '高度',
+		hSpace			: '水平距離',
+		vSpace			: '垂直距離',
+		validateSrc		: '請輸入欲連結的 URL',
+		validateWidth	: '寬度必須為數字格式',
+		validateHeight	: '高度必須為數字格式',
+		validateHSpace	: '水平間距必須為數字格式',
+		validateVSpace	: '垂直間距必須為數字格式'
 	},
 
@@ -478,18 +482,19 @@
 	elementsPath :
 	{
+		eleLabel : 'Elements path', // MISSING
 		eleTitle : '%1 元素'
 	},
 
-	numberedlist : '編號清單',
-	bulletedlist : '項目清單',
-	indent : '增加縮排',
-	outdent : '減少縮排',
+	numberedlist	: '編號清單',
+	bulletedlist	: '項目清單',
+	indent			: '增加縮排',
+	outdent			: '減少縮排',
 
 	justify :
 	{
-		left : '靠左對齊',
-		center : '置中',
-		right : '靠右對齊',
-		block : '左右對齊'
+		left	: '靠左對齊',
+		center	: '置中',
+		right	: '靠右對齊',
+		block	: '左右對齊'
 	},
 
@@ -502,28 +507,29 @@
 		copyError	: '瀏覽器的安全性設定不允許編輯器自動執行複製動作。請使用快捷鍵 (Ctrl+C) 複製。',
 		pasteMsg	: '請使用快捷鍵 (<strong>Ctrl+V</strong>) 貼到下方區域中並按下 <strong>確定</strong>',
-		securityMsg	: '因為瀏覽器的安全性設定，本編輯器無法直接存取您的剪貼簿資料，請您自行在本視窗進行貼上動作。'
+		securityMsg	: '因為瀏覽器的安全性設定，本編輯器無法直接存取您的剪貼簿資料，請您自行在本視窗進行貼上動作。',
+		pasteArea	: 'Paste Area' // MISSING
 	},
 
 	pastefromword :
 	{
-		confirmCleanup : '您想貼上的文字似乎是自 Word 複製而來，請問您是否要先清除 Word 的格式後再行貼上？',
-		toolbar : '自 Word 貼上',
-		title : '自 Word 貼上',
-		error : 'It was not possible to clean up the pasted data due to an internal error' // MISSING
+		confirmCleanup	: '您想貼上的文字似乎是自 Word 複製而來，請問您是否要先清除 Word 的格式後再行貼上？',
+		toolbar			: '自 Word 貼上',
+		title			: '自 Word 貼上',
+		error			: 'It was not possible to clean up the pasted data due to an internal error' // MISSING
 	},
 
 	pasteText :
 	{
-		button : '貼為純文字格式',
-		title : '貼為純文字格式'
+		button	: '貼為純文字格式',
+		title	: '貼為純文字格式'
 	},
 
 	templates :
 	{
-		button : '樣版',
-		title : '內容樣版',
-		insertOption: '取代原有內容',
-		selectPromptMsg: '請選擇欲開啟的樣版<br> (原有的內容將會被清除):',
-		emptyListMsg : '(無樣版)'
+		button			: '樣版',
+		title			: '內容樣版',
+		insertOption	: '取代原有內容',
+		selectPromptMsg	: '請選擇欲開啟的樣版<br> (原有的內容將會被清除):',
+		emptyListMsg	: '(無樣版)'
 	},
 
@@ -532,29 +538,26 @@
 	stylesCombo :
 	{
-		label : '樣式',
-		voiceLabel : '樣式',
-		panelVoiceLabel : '選擇樣式',
-		panelTitle1 : '塊級元素樣式',
-		panelTitle2 : '內聯元素樣式',
-		panelTitle3 : '物件元素樣式'
+		label		: '樣式',
+		panelTitle	: 'Formatting Styles', // MISSING
+		panelTitle1	: '塊級元素樣式',
+		panelTitle2	: '內聯元素樣式',
+		panelTitle3	: '物件元素樣式'
 	},
 
 	format :
 	{
-		label : '格式',
-		voiceLabel : '格式',
-		panelTitle : '格式',
-		panelVoiceLabel : '選擇段落格式',
-
-		tag_p : '一般',
-		tag_pre : '已格式化',
-		tag_address : '位址',
-		tag_h1 : '標題 1',
-		tag_h2 : '標題 2',
-		tag_h3 : '標題 3',
-		tag_h4 : '標題 4',
-		tag_h5 : '標題 5',
-		tag_h6 : '標題 6',
-		tag_div : '一般 (DIV)'
+		label		: '格式',
+		panelTitle	: '格式',
+
+		tag_p		: '一般',
+		tag_pre		: '已格式化',
+		tag_address	: '位址',
+		tag_h1		: '標題 1',
+		tag_h2		: '標題 2',
+		tag_h3		: '標題 3',
+		tag_h4		: '標題 4',
+		tag_h5		: '標題 5',
+		tag_h6		: '標題 6',
+		tag_div		: '一般 (DIV)'
 	},
 
@@ -578,24 +581,23 @@
 	font :
 	{
-		label : '字體',
-		voiceLabel : '字體',
-		panelTitle : '字體',
-		panelVoiceLabel : '選擇字體'
+		label		: '字體',
+		voiceLabel	: '字體',
+		panelTitle	: '字體'
 	},
 
 	fontSize :
 	{
-		label : '大小',
-		voiceLabel : '文字大小',
-		panelTitle : '大小',
-		panelVoiceLabel : '選擇文字大小'
+		label		: '大小',
+		voiceLabel	: '文字大小',
+		panelTitle	: '大小'
 	},
 
 	colorButton :
 	{
-		textColorTitle : '文字顏色',
-		bgColorTitle : '背景顏色',
-		auto : '自動',
-		more : '更多顏色…'
+		textColorTitle	: '文字顏色',
+		bgColorTitle	: '背景顏色',
+		panelTitle		: 'Colors', // MISSING
+		auto			: '自動',
+		more			: '更多顏色…'
 	},
 
@@ -646,28 +648,28 @@
 	scayt :
 	{
-		title : '即時拼寫檢查',
-		enable : '啟用即時拼寫檢查',
-		disable : '關閉即時拼寫檢查',
-		about : '關於即時拼寫檢查',
-		toggle : '啟用／關閉即時拼寫檢查',
-		options : '選項',
-		langs : '語言',
-		moreSuggestions : '更多拼寫建議',
-		ignore : '忽略',
-		ignoreAll : '全部忽略',
-		addWord : '添加單詞',
-		emptyDic : '字典名不應為空.',
-		optionsTab : '選項',
-		languagesTab : '語言',
-		dictionariesTab : '字典',
-		aboutTab : '關於'
+		title			: '即時拼寫檢查',
+		enable			: '啟用即時拼寫檢查',
+		disable			: '關閉即時拼寫檢查',
+		about			: '關於即時拼寫檢查',
+		toggle			: '啟用／關閉即時拼寫檢查',
+		options			: '選項',
+		langs			: '語言',
+		moreSuggestions	: '更多拼寫建議',
+		ignore			: '忽略',
+		ignoreAll		: '全部忽略',
+		addWord			: '添加單詞',
+		emptyDic		: '字典名不應為空.',
+		optionsTab		: '選項',
+		languagesTab	: '語言',
+		dictionariesTab	: '字典',
+		aboutTab		: '關於'
 	},
 
 	about :
 	{
-		title : '關於 CKEditor',
-		dlgTitle : '關於 CKEditor',
-		moreInfo : '訪問我們的網站以獲取更多關於協議的信息',
-		copy : 'Copyright &copy; $1. All rights reserved.'
+		title		: '關於 CKEditor',
+		dlgTitle	: '關於 CKEditor',
+		moreInfo	: '訪問我們的網站以獲取更多關於協議的信息',
+		copy		: 'Copyright &copy; $1. All rights reserved.'
 	},
 
@@ -677,8 +679,8 @@
 	fakeobjects :
 	{
-		anchor : '錨點',
-		flash : 'Flash 動畫',
-		div : '分頁',
-		unknown : '不明物件'
+		anchor	: '錨點',
+		flash	: 'Flash 動畫',
+		div		: '分頁',
+		unknown	: '不明物件'
 	},
 
@@ -687,11 +689,11 @@
 	colordialog :
 	{
-		title : 'Select color', // MISSING
-		highlight : 'Highlight', // MISSING
-		selected : 'Selected', // MISSING
-		clear : 'Clear' // MISSING
-	},
-
-	toolbarCollapse : 'Collapse Toolbar', // MISSING
-	toolbarExpand : 'Expand Toolbar' // MISSING
+		title		: 'Select color', // MISSING
+		highlight	: 'Highlight', // MISSING
+		selected	: 'Selected', // MISSING
+		clear		: 'Clear' // MISSING
+	},
+
+	toolbarCollapse	: 'Collapse Toolbar', // MISSING
+	toolbarExpand	: 'Expand Toolbar' // MISSING
 };
